# getInflationReward

> import Tabs from '@theme/Tabs'
import TabItem from '@theme/TabItem'
import CreditCost from '@site/src/components/CreditCost/CreditCostPrice.js'

# `getInflationReward`

Returns the inflation (staking) rewards for a list of addresses for an epoch. <CreditCost network="solana" method="getInflationReward" />

## Parameters

- `array`: (string) _[requiredl]_ - An array of `base58` encoded addresses to query.
- `config`: (object) _[optional]_ - Configuration object with the following options:
  - `commitment`: (string) _[optional]_ - The commitment level to use for the query. The default is `finalized`. Possible values are:
    - `finalized` - Queries the most recent block confirmed by a super majority of the cluster as having
      reached maximum lockout, meaning the cluster has recognized this block as finalized.
    - `confirmed` - Queries the most recent block that has been voted on by a super majority of the cluster.
    - `processed` - Queries its most recent block. The block may still be skipped by the cluster.
  - `epoch`: (integer) _[optional]_ - The epoch for which to query the rewards. If not specified, the current epoch is used.
  - `minContextSlot`: _[optional]_ - The minimum slot to use for the query.

## Returns

`result` - An object with the following fields:

- `epoch` - The epoch during which the reward was received.
- `effectiveSlot` - The slot at which the rewards become active.
- `amount` - The reward value in lamports.
- `postBalance` - The account balance after the transaction in lamports.
- `commission` - The commission rate of the vote account at the time the reward was credited.

### Request

<Tabs>
  <TabItem value="curl">

```bash
curl https://solana-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1, "method": "getInflationReward", "params": [["6dmNQ5jwLeLk5REvio1JcMshcbvkYMwy26sJ8pbkvStu", "BGsqMegLpV6n6Ve146sSX2dTjUMj3M92HnU8BbNRMhF2"], {"epoch": 2}]}'
```

  </TabItem>
</Tabs>

### Response

<Tabs>
  <TabItem value="JSON">

```bash
{
  "jsonrpc": "2.0",
  "result": [
    {
      "epoch": 2,
      "effectiveSlot": 224,
      "amount": 2500,
      "postBalance": 499999442500
    },
    null
  ],
  "id": 1
}
```

  </TabItem>
</Tabs>
